# Class ArgException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.ttools.filter.ArgException

All Implemented Interfaces:
  `Serializable`

public class ArgException extends Exception
Checked exception thrown when arguments encountered on the command line are illegal.

Since:
  26 Apr 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ArgException(String message)`
Constructor.
`ArgException(String message, Throwable e)`
Constructs an exception with a given cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArgException

public ArgException(String message)
Constructor.

Parameters:
  `message` - basic message

### ArgException

public ArgException(String message, Throwable e)
Constructs an exception with a given cause.

Parameters:
  `message` - basic message
  `e` - cause